---
propel:
  _attributes:
    package: lib.model
  address:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    COUNTRY_CODE_LANG:
      type: VARCHAR
      size: 7
      required: true
      default:
      foreignTable: country
      foreignReference: CODE_LANG
      onDelete: CASCADE
      onUpdate: RESTRICT
    CUSTOMER_ID:
      type: INTEGER
      required: true
      default:
      foreignTable: customer
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    MEMENTO:
      type: VARCHAR
      size: 45
    NAME:
      type: VARCHAR
      size: 45
    FORNAME:
      type: VARCHAR
      size: 45
    ADDRESS1:
      type: VARCHAR
      size: 90
    ADDRESS2:
      type: VARCHAR
      size: 90
    ZIP_CODE:
      type: VARCHAR
      size: 10
    TOWN:
      type: VARCHAR
      size: 45
    MAIN:
      type: TINYINT
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ADDRESS_COUNTRY_DELIVERY:
        - COUNTRY_CODE_LANG
      fk_ADDRESS_CUSTOMER:
        - CUSTOMER_ID
  adminuser:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    LOGIN:
      type: VARCHAR
      size: 45
      required: true
      default:
    email:
      type: VARCHAR
      size: 90
    SUPERADMIN:
      type: TINYINT
    SHA1_PASSWORD:
      type: VARCHAR
      size: 45
      required: true
      default:
    SALT:
      type: VARCHAR
      size: 45
      required: true
      default:
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      UPDATED_AT:
        - UPDATED_AT
  app_lang:
    _attributes: { isI18N: true, i18nTable: app_lang_i18n, baseClass: I18nBaseClass }
    CODE_LANG:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
    DEF:
      type: TINYINT
      default: 0
    ACTIV:
      type: TINYINT
      default: 0
    ADMIN:
      type: TINYINT
      default: 0
    IMAGE_FILE_NAME:
      type: VARCHAR
      size: 45
  app_lang_i18n:
    APP_LANG_CODE_LANG:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: app_lang
      foreignReference: CODE_LANG
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    LABEL:
      type: VARCHAR
      size: 45
    _indexes:
      fk_APP_LANG_I18N_APP_LANG:
        - APP_LANG_CODE_LANG
      fk_APP_LANG_I18N_LANG:
        - CULTURE
  article:
    _attributes: { isI18N: true, i18nTable: article_i18n, baseClass: I18nBaseClass, idMethod: native }
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    PRODUCT_ID:
      type: INTEGER
      foreignTable: product
      foreignReference: ID
      onDelete: SET NULL
      onUpdate: RESTRICT
    SUPPLIER_ID:
      type: INTEGER
      foreignTable: supplier
      foreignReference: ID
      onDelete: SET NULL
      onUpdate: RESTRICT
    PRICE_HT:
      type: DECIMAL
      size: 10
      scale: 2
    PRICE_TTC:
      type: DECIMAL
      size: 10
      scale: 2
    WEIGHT:
      type: DECIMAL
      size: 10
      scale: 3
    ONLINE:
      type: TINYINT
    NB_STOCK:
      type: INTEGER
    OUT_STOCK_SALE:
      type: TINYINT
    SALE:
      type: INTEGER
      required: true
      default: 0
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ARTICLE_PRODUCT:
        - PRODUCT_ID
      fk_ARTICLE_SUPPLIER:
        - SUPPLIER_ID
  article_attribute:
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: article
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    ATTRIBUTE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: attribute
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ARTICLE_has_ATTRIBUTE_ARTICLE:
        - ARTICLE_ID
      fk_ARTICLE_has_ATTRIBUTE_ATTRIBUTE:
        - ATTRIBUTE_ID
  article_attribute_price:
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: article
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    ATTRIBUTE_PRICE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: attribute_price
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    _indexes:
      fk_ARTICLE_has_ATTRIBUTE_PRICE_ARTICLE:
        - ARTICLE_ID
      fk_ARTICLE_has_ATTRIBUTE_PRICE_ATTRIBUTE_PRICE:
        - ATTRIBUTE_PRICE_ID
  article_attribute_value:
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: article
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    ATTRIBUTE_VALUE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: attribute_value
      foreignReference: ID
      onDelete: RESTRICT
      onUpdate: RESTRICT
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ARTICLE_has_ATTRIBUTE_VALUE_ARTICLE:
        - ARTICLE_ID
      fk_ARTICLE_ATTRIBUTE_VALUE_ATTRIBUTE_VALUE:
        - ATTRIBUTE_VALUE_ID
  article_category:
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: article
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CATEGORY_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: category
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ARTICLE_CATEGORY_ARTICLE:
        - ARTICLE_ID
      fk_ARTICLE_CATEGORY_CATEGORY:
        - CATEGORY_ID
  article_i18n:
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: article
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    TITLE:
      type: VARCHAR
      size: 120
    SUMMARY:
      type: VARCHAR
      size: 2040
    DESCRIPTION:
      type: VARCHAR
      size: 8092
    STRIPPED_TITLE:
      type: VARCHAR
      size: 120
    _indexes:
      fk_ARTICLE_I18N_ARTICLE:
        - ARTICLE_ID
      fk_ARTICLE_I18N_LANG:
        - CULTURE
  attribute:
    _attributes: { isI18N: true, i18nTable: attribute_i18n, baseClass: I18nBaseClass }
    ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
    PERSONNALISABLE:
      type: TINYINT
      default: 0
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
  attribute_i18n:
    ATTRIBUTE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: attribute
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    TITLE:
      type: VARCHAR
      size: 45
    STRIPPED_TITLE:
      type: VARCHAR
      size: 45
    _indexes:
      fk_ATTRIBUTE_I18N_ATTRIBUTE:
        - ATTRIBUTE_ID
      fk_ATTRIBUTE_I18N_LANG:
        - CULTURE
  attribute_price:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    ATTRIBUTE_ID:
      type: INTEGER
      foreignTable: attribute
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    NEXT_ATTRIBUTE_PRICE_ID:
      type: INTEGER
      foreignTable: attribute_price
      foreignReference: ID
      onDelete: SET NULL
      onUpdate: RESTRICT
    PREV_ATTRIBUTE_PRICE_ID:
      type: INTEGER
      foreignTable: attribute_price
      foreignReference: ID
      onDelete: SET NULL
      onUpdate: RESTRICT
    PRICE_TTC_UP:
      type: DECIMAL
      size: 10
      scale: 2
    FIELD1:
      type: INTEGER
    FIELD2:
      type: INTEGER
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ATTRIBUTE_PRICE_ATTRIBUTE_PRICE:
        - NEXT_ATTRIBUTE_PRICE_ID
      fk_ATTRIBUTE_PRICE_ATTRIBUTE_PRICE1:
        - PREV_ATTRIBUTE_PRICE_ID
      fk_ATTRIBUTE_PRICE_ATTRIBUTE:
        - ATTRIBUTE_ID
  attribute_value:
    _attributes: { isI18N: true, i18nTable: attribute_value_i18n, baseClass: I18nBaseClass, idMethod: native }
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    ATTRIBUTE_ID:
      type: INTEGER
      foreignTable: attribute
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    FIELD1:
      type: VARCHAR
      size: 45
    FIELD2:
      type: VARCHAR
      size: 45
    FIELD3:
      type: VARCHAR
      size: 45
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ATTRIBUTE_VALUE_ATTRIBUTE:
        - ATTRIBUTE_ID
  attribute_value_i18n:
    ATTRIBUTE_VALUE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: attribute_value
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    TITLE:
      type: VARCHAR
      size: 45
    _indexes:
      fk_ATTRIBUTE_VALUE_I18N_LANG:
        - CULTURE
      fk_ATTRIBUTE_VALUE_I18N_ATTRIBUTE_VALUE:
        - ATTRIBUTE_VALUE_ID
  basket:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    CUSTOMER_ID:
      type: INTEGER
      foreignTable: customer
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    PRICE_HT:
      type: DECIMAL
      size: 10
      scale: 2
    PRICE_TTC:
      type: DECIMAL
      size: 10
      scale: 2
    WEIGHT:
      type: DECIMAL
      size: 10
      scale: 3
    _indexes:
      fk_BASKET_CUSTOMER:
        - CUSTOMER_ID
  basket_article:
    BASKET_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
    NB_ARTICLE:
      type: INTEGER
    PRICE_TTC:
      type: DECIMAL
      size: 10
      scale: 2
    PRICE_HT:
      type: DECIMAL
      size: 10
      scale: 2
    _indexes:
      fk_BASKET_has_ARTICLE_BASKET:
        - BASKET_ID
      fk_BASKET_has_ARTICLE_ARTICLE:
        - ARTICLE_ID
  category:
    _attributes: { isI18N: true, i18nTable: category_i18n, baseClass: I18nBaseClass, idMethod: native }
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    IMAGE_FILE_NAME:
      type: VARCHAR
      size: 45
    HEADER_FILE_NAME:
      type: VARCHAR
      size: 45
    POSITION:
      type: TINYINT
    LEVEL:
      type: TINYINT
    ONLINE:
      type: TINYINT
      default: 1
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
  category_category:
    CATEGORY_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: category
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CATEGORY_ID_REL:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: category
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_CATEGORY_has_CATEGORY_CATEGORY:
        - CATEGORY_ID
      fk_CATEGORY_has_CATEGORY_CATEGORY_REL:
        - CATEGORY_ID_REL
  category_i18n:
    CATEGORY_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: category
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    TITLE:
      type: VARCHAR
      size: 90
    STRIPPED_TITLE:
      type: VARCHAR
      size: 90
    BODY:
      type: LONGVARCHAR
    _indexes:
      fk_CATEGORY_I18N_CATEGORY:
        - CATEGORY_ID
      fk_CATEGORY_I18N_LANG:
        - CULTURE
  content_site:
    _attributes: { isI18N: true, i18nTable: content_site_i18n, baseClass: I18nBaseClass }
    ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
    IMAGE_FILE_NAME:
      type: VARCHAR
      size: 45
    OPEN:
      type: TINYINT
      default: 1
    FIELD1:
      type: VARCHAR
      size: 256
    FIELD2:
      type: VARCHAR
      size: 256
    FIELD3:
      type: VARCHAR
      size: 256
    _indexes:
      OPEN:
        - OPEN
  content_site_i18n:
    CONTENT_SITE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: content_site
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    BODY:
      type: LONGVARCHAR
    _indexes:
      fk_CONTENT_SITE_I18N_CONTENT_SITE:
        - CONTENT_SITE_ID
      fk_CONTENT_SITE_I18N_LANG:
        - CULTURE
  country:
    _attributes: { isI18N: true, i18nTable: country_i18n, baseClass: I18nBaseClass }
    CODE_LANG:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
  country_i18n:
    COUNTRY_CODE_LANG:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: country
      foreignReference: CODE_LANG
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    NAME:
      type: VARCHAR
      size: 45
    _indexes:
      fk_COUNTRY_DELIVERY_I18N_COUNTRY_DELIVERY:
        - COUNTRY_CODE_LANG
      fk_COUNTRY_I18N_LANG:
        - CULTURE
  customer:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    APP_LANG_CODE_LANG:
      type: VARCHAR
      size: 7
      default: fr_FR
      foreignTable: app_lang
      foreignReference: CODE_LANG
      onDelete: SET NULL
      onUpdate: RESTRICT
    EMAIL:
      type: VARCHAR
      size: 90
      required: true
      default:
    NEWSLETTER:
      type: TINYINT
    SHA1_PASSWORD:
      type: VARCHAR
      size: 45
    SALT:
      type: VARCHAR
      size: 45
    LOCKED:
      type: TINYINT
    NAME:
      type: VARCHAR
      size: 45
    FORNAME:
      type: VARCHAR
      size: 45
    BIRTHDAY:
      type: TIMESTAMP
    PHONE:
      type: VARCHAR
      size: 15
    PHONE_MOBILE:
      type: VARCHAR
      size: 15
    REMEMBER_KEY:
      type: VARCHAR
      size: 45
    CREATED_AT:
      type: TIMESTAMP
    CONNECTED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_CUSTOMER_APP_LANG:
        - APP_LANG_CODE_LANG
  image_article:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: article
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    IMAGE_FILE_NAME:
      type: VARCHAR
      size: 45
    MINIATURE_FILE_NAME:
      type: VARCHAR
      size: 45
    DEF:
      type: TINYINT
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_IMAGE_ARTICLE_ARTICLE:
        - ARTICLE_ID
  lang:
    CODE_CULTURE:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
  ordercommand:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    CUSTOMER_ID:
      type: INTEGER
      foreignTable: customer
      foreignReference: ID
      onDelete: SET NULL
      onUpdate: RESTRICT
    STATE:
      type: TINYINT
      default: 0
    REDUCTION:
      type: TINYINT
    SHIPPING_METHOD_NAME:
      type: VARCHAR
      size: 45
    PAYMENT_METHOD_NAME:
      type: VARCHAR
      size: 45
    BILL_NAME:
      type: VARCHAR
      size: 45
    BILL_FORNAME:
      type: VARCHAR
      size: 45
    BILL_ADDRESS1:
      type: VARCHAR
      size: 90
    BILL_ADDRESS2:
      type: VARCHAR
      size: 90
    BILL_ZIP_CODE:
      type: VARCHAR
      size: 10
    BILL_TOWN:
      type: VARCHAR
      size: 45
    BILL_COUNTRY_NAME:
      type: VARCHAR
      size: 45
    DELIVERY_NAME:
      type: VARCHAR
      size: 45
    DELIVERY_FORNAME:
      type: VARCHAR
      size: 45
    DELIVERY_ADDRESS1:
      type: VARCHAR
      size: 90
    DELIVERY_ADDRESS2:
      type: VARCHAR
      size: 90
    DELIVERY_ZIP_CODE:
      type: VARCHAR
      size: 10
    DELIVERY_TOWN:
      type: VARCHAR
      size: 45
    DELIVERY_COUNTRY_NAME:
      type: VARCHAR
      size: 45
    PRICE_REDUCTION:
      type: DOUBLE
    PRICE_SHIPPING:
      type: DOUBLE
    PRICE_TOTAL_HT:
      type: DOUBLE
    PRICE_TOTAL_TTC:
      type: DOUBLE
    CREATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ORDER_CUSTOMER:
        - CUSTOMER_ID
  ordercommand_article:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    ORDERCOMMAND_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: ordercommand
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    ARTICLE_ID:
      type: INTEGER
    ARTICLE_TITLE:
      type: VARCHAR
      size: 120
    NB_ARTICLE:
      type: INTEGER
    TAX_VALUE:
      type: DOUBLE
    PRICE_UNIT_HT:
      type: DECIMAL
      size: 10
      scale: 2
    PRICE_UNIT_TTC:
      type: DECIMAL
      size: 10
      scale: 2
    ARTICLE_ATTRIBUTES:
      type: VARCHAR
      size: 1024
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ORDER_ARTICLE_ORDERCOMMAND:
        - ORDERCOMMAND_ID
  ordercommand_comment:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    ORDERCOMMAND_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: ordercommand
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    COMMENT:
      type: VARCHAR
      size: 8092
    STATE:
      type: TINYINT
    CUSTOMER_MAIL:
      type: TINYINT
    CREATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_ORDER_COMMENT_ORDERCOMMAND:
        - ORDERCOMMAND_ID
  payment_method:
    _attributes: { isI18N: true, i18nTable: payment_method_i18n, baseClass: I18nBaseClass }
    ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
    ACTIV:
      type: TINYINT
    PARAM1:
      type: VARCHAR
      size: 145
    PARAM2:
      type: VARCHAR
      size: 145
    PARAM3:
      type: VARCHAR
      size: 145
    PARAM4:
      type: VARCHAR
      size: 145
    PARAM5:
      type: VARCHAR
      size: 145
    PARAM6:
      type: VARCHAR
      size: 145
    PARAM7:
      type: VARCHAR
      size: 145
    PARAM8:
      type: VARCHAR
      size: 145
    PARAM9:
      type: VARCHAR
      size: 145
    PARAM10:
      type: VARCHAR
      size: 145
    PARAM11:
      type: VARCHAR
      size: 145
    PARAM12:
      type: VARCHAR
      size: 145
    PARAM13:
      type: VARCHAR
      size: 145
    PARAM14:
      type: VARCHAR
      size: 145
    PARAM15:
      type: VARCHAR
      size: 145
    PARAM16:
      type: VARCHAR
      size: 145
    PARAM17:
      type: VARCHAR
      size: 145
    PARAM18:
      type: VARCHAR
      size: 145
    PARAM19:
      type: VARCHAR
      size: 145
    PARAM20:
      type: VARCHAR
      size: 145
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
  payment_method_country:
    PAYMENT_METHOD_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: payment_method
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    COUNTRY_CODE_LANG:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: country
      foreignReference: CODE_LANG
      onDelete: CASCADE
      onUpdate: RESTRICT
    _indexes:
      fk_PAYMENT_METHOD_has_COUNTRY_PAYMENT_METHOD:
        - PAYMENT_METHOD_ID
      fk_PAYMENT_METHOD_has_COUNTRY_COUNTRY:
        - COUNTRY_CODE_LANG
  payment_method_i18n:
    PAYMENT_METHOD_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: payment_method
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    NAME:
      type: VARCHAR
      size: 45
    _indexes:
      fk_PAYMENT_METHOD_I18N_LANG:
        - CULTURE
      fk_PAYMENT_METHOD_I18N_PAYMENT_METHOD:
        - PAYMENT_METHOD_ID
  product:
    _attributes: { isI18N: true, i18nTable: product_i18n, baseClass: I18nBaseClass, idMethod: native }
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
  product_i18n:
    PRODUCT_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: product
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    TITLE:
      type: VARCHAR
      size: 120
    STRIPPED_TITLE:
      type: VARCHAR
      size: 120
    SUMMARY:
      type: VARCHAR
      size: 2040
    DESCRIPTION:
      type: VARCHAR
      size: 8092
    _indexes:
      fk_PRODUCT_I18N_PRODUCT:
        - PRODUCT_ID
      fk_PRODUCT_I18N_LANG:
        - CULTURE
  promotion:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: article
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    PERCENT:
      type: INTEGER
    BEGIN_DATE:
      type: TIMESTAMP
    END_DATE:
      type: TIMESTAMP
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_PROMOTION_ARTICLE:
        - ARTICLE_ID
  shipping_area:
    _attributes: { isI18N: true, i18nTable: shipping_area_i18n, baseClass: I18nBaseClass }
    ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
    NEXT_PAYBACK_AREA_ID:
      type: INTEGER
      foreignTable: shipping_area
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    SOCIETY:
      type: VARCHAR
      size: 45
    AREA_NAME:
      type: VARCHAR
      size: 1024
    ACTIV:
      type: TINYINT
    SELECTED_PAYBACK:
      type: TINYINT
      default: 0
    _indexes:
      fk_SHIPPING_AREA_SHIPPING_AREA:
        - NEXT_PAYBACK_AREA_ID
  shipping_area_country:
    SHIPPING_AREA_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: shipping_area
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    COUNTRY_CODE_LANG:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: country
      foreignReference: CODE_LANG
      onDelete: CASCADE
      onUpdate: RESTRICT
    _indexes:
      fk_LAPOSTE_AREA_has_COUNTRY_LAPOSTE_AREA:
        - SHIPPING_AREA_ID
      fk_LAPOSTE_AREA_has_COUNTRY_COUNTRY:
        - COUNTRY_CODE_LANG
  shipping_area_i18n:
    SHIPPING_AREA_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: shipping_area
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    NAME:
      type: VARCHAR
      size: 45
    _indexes:
      fk_LAPOSTE_AREA_I18N_LAPOSTE_AREA:
        - SHIPPING_AREA_ID
      fk_LAPOSTE_AREA_I18N_LANG:
        - CULTURE
  shipping_price:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    SHIPPING_AREA_ID:
      type: INTEGER
      foreignTable: shipping_area
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    WEIGHT:
      type: DECIMAL
      size: 10
      scale: 2
      required: true
      default:
    SIZE:
      type: VARCHAR
      size: 15
    PRICE_TTC:
      type: DECIMAL
      size: 10
      scale: 2
      required: true
      default:
    _indexes:
      fk_SHIPPING_PRICE_LAPOSTE_AREA:
        - SHIPPING_AREA_ID
  special:
    _attributes: { isI18N: true, i18nTable: special_i18n, baseClass: I18nBaseClass }
    ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
  special_article:
    SPECIAL_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: special
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    ARTICLE_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: article
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
    _indexes:
      fk_SPECIAL_has_ARTICLE_SPECIAL:
        - SPECIAL_ID
      fk_SPECIAL_has_ARTICLE_ARTICLE:
        - ARTICLE_ID
  special_i18n:
    SPECIAL_ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
      foreignTable: special
      foreignReference: ID
      onDelete: CASCADE
      onUpdate: RESTRICT
    CULTURE:
      isCulture: true
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: lang
      foreignReference: CODE_CULTURE
      onDelete: CASCADE
      onUpdate: RESTRICT
    TITLE:
      type: VARCHAR
      size: 45
    _indexes:
      fk_SPECIAL_I18N_SPECIAL:
        - SPECIAL_ID
      fk_SPECIAL_I18N_LANG:
        - CULTURE
  supplier:
    _attributes:
      idMethod: native
    ID:
      type: INTEGER
      required: true
      autoIncrement: true
      primaryKey: true
    NAME:
      type: VARCHAR
      size: 45
    CREATED_AT:
      type: TIMESTAMP
    UPDATED_AT:
      type: TIMESTAMP
  tax:
    ID:
      type: INTEGER
      required: true
      primaryKey: true
      default:
    COUNTRY_CODE_LANG:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
      default:
      foreignTable: country
      foreignReference: CODE_LANG
      onDelete: CASCADE
      onUpdate: RESTRICT
    VALUE:
      type: DOUBLE
    DEF:
      type: TINYINT
    _indexes:
      fk_TAX_COUNTRY_DELIVERY:
        - COUNTRY_CODE_LANG
  pub:
    ID:
      type: VARCHAR
      size: 7
      required: true
      primaryKey: true
    DATE_MIN:
      type: timestamp
      required: false
    DATE_MAX:
      type: timestamp
      required: false
    BALISE:
      type: VARCHAR
      size: 2040
      required: true
    _indexes:
      fk_PUB_DATE_MIN:
        - DATE_MIN
      fk_PUB_DATE_MAX:
        - DATE_MAX
